ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/network-configuration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "isDefault": true, "isFakeInstrument": true, "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "internalPcNetworkAdapterOperational": true, "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/network-configuration?force=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"computerName": "string",
"internalPcDhcpEnabled": true,
"internalPcIpAddress": "string",
"internalPcSubnet": "string",
"internalPcMacAddress": "string",
"internalPcNetworkAdapterOperational": true,
"serialNumber": "string",
"controllerBoardDhcpEnabled": true,
"controllerBoardIpAddress": "string",
"controllerBoardSubnet": "string",
"controllerBoardMacAddress": "string"
}'Response
application/json
{ "isSuccess": true, "rebootRequired": true, "error": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration/default
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/network-configuration/default?force=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "isSuccess": true, "rebootRequired": true, "error": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration/changes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/network-configuration/changes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "dateModified": "2019-08-24T14:15:22Z", "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration/remote-desktop-enabled
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/network-configuration/remote-desktop-enabled' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration/enable-remote-desktop
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/network-configuration/enable-remote-desktop' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/network-configuration/disable-remote-desktop
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/network-configuration/disable-remote-desktop' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "dateModified": "2019-08-24T14:15:22Z", "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" } ]